Bug 1176346 - Preferred Applications does not work (libfm-pref-apps) Fedora 21 LXDE
Summary: Preferred Applications does not work (libfm-pref-apps) Fedora 21 LXDE
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libfm
Version: 21
Hardware: i386
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Christoph Wickert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-20 19:34 UTC by pyrixer
Modified: 2015-06-10 19:14 UTC (History)
7 users (show)

Fixed In Version: pcmanfm-1.2.3-2.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-10 19:13:18 UTC
Type: Bug


Attachments (Terms of Use)

Description pyrixer 2014-12-20 19:34:01 UTC
Description of problem:

Fedora 21 LXDE Installation

Preferred Applications does not start and logs the following in .xsession-errors

(libfm-pref-apps:14059): Gtk-CRITICAL **: gtk_window_set_icon_name: assertion 'GTK_IS_WINDOW (window)' failed

(libfm-pref-apps:14059): Gtk-CRITICAL **: gtk_cell_layout_clear: assertion 'GTK_IS_CELL_LAYOUT (cell_layout)' failed

(libfm-pref-apps:14059): Gtk-CRITICAL **: gtk_cell_layout_pack_start: assertion 'GTK_IS_CELL_LAYOUT (cell_layout)' failed

(libfm-pref-apps:14059): Gtk-CRITICAL **: gtk_cell_layout_add_attribute: assertion 'GTK_IS_CELL_LAYOUT (cell_layout)' failed

(libfm-pref-apps:14059): Gtk-CRITICAL **: gtk_cell_layout_pack_start: assertion 'GTK_IS_CELL_LAYOUT (cell_layout)' failed

(libfm-pref-apps:14059): Gtk-CRITICAL **: gtk_cell_layout_add_attribute: assertion 'GTK_IS_CELL_LAYOUT (cell_layout)' failed

(libfm-pref-apps:14059): Gtk-CRITICAL **: gtk_combo_box_set_model: assertion 'GTK_IS_COMBO_BOX (combo_box)' failed

(libfm-pref-apps:14059): Gtk-CRITICAL **: gtk_combo_box_set_active_iter: assertion 'GTK_IS_COMBO_BOX (combo_box)' failed

(libfm-pref-apps:14059): Gtk-CRITICAL **: gtk_combo_box_set_row_separator_func: assertion 'GTK_IS_COMBO_BOX (combo_box)' failed

(libfm-pref-apps:14059): GLib-GObject-WARNING **: invalid (NULL) pointer instance

(libfm-pref-apps:14059): GLib-GObject-CRITICAL **: g_signal_connect_data: assertion 'G_TYPE_CHECK_INSTANCE (instance)' failed

(libfm-pref-apps:14059): GLib-GObject-CRITICAL **: g_object_set_qdata_full: assertion 'G_IS_OBJECT (object)' failed

(libfm-pref-apps:14059): Gtk-CRITICAL **: gtk_cell_layout_clear: assertion 'GTK_IS_CELL_LAYOUT (cell_layout)' failed

(libfm-pref-apps:14059): Gtk-CRITICAL **: gtk_cell_layout_pack_start: assertion 'GTK_IS_CELL_LAYOUT (cell_layout)' failed

(libfm-pref-apps:14059): Gtk-CRITICAL **: gtk_cell_layout_add_attribute: assertion 'GTK_IS_CELL_LAYOUT (cell_layout)' failed

(libfm-pref-apps:14059): Gtk-CRITICAL **: gtk_cell_layout_pack_start: assertion 'GTK_IS_CELL_LAYOUT (cell_layout)' failed

(libfm-pref-apps:14059): Gtk-CRITICAL **: gtk_cell_layout_add_attribute: assertion 'GTK_IS_CELL_LAYOUT (cell_layout)' failed

(libfm-pref-apps:14059): Gtk-CRITICAL **: gtk_combo_box_set_model: assertion 'GTK_IS_COMBO_BOX (combo_box)' failed

(libfm-pref-apps:14059): Gtk-CRITICAL **: gtk_combo_box_set_active_iter: assertion 'GTK_IS_COMBO_BOX (combo_box)' failed

(libfm-pref-apps:14059): Gtk-CRITICAL **: gtk_combo_box_set_row_separator_func: assertion 'GTK_IS_COMBO_BOX (combo_box)' failed

(libfm-pref-apps:14059): GLib-GObject-WARNING **: invalid (NULL) pointer instance

(libfm-pref-apps:14059): GLib-GObject-CRITICAL **: g_signal_connect_data: assertion 'G_TYPE_CHECK_INSTANCE (instance)' failed

(libfm-pref-apps:14059): GLib-GObject-CRITICAL **: g_object_set_qdata_full: assertion 'G_IS_OBJECT (object)' failed

(libfm-pref-apps:14059): Gtk-CRITICAL **: gtk_dialog_run: assertion 'GTK_IS_DIALOG (dialog)' failed

(libfm-pref-apps:14059): Gtk-CRITICAL **: gtk_widget_destroy: assertion 'GTK_IS_WIDGET (widget)' failed


Version-Release number of selected component (if applicable):

Name        : libfm-gtk-utils
Version     : 1.2.3
Release     : 1.fc21
Architecture: i686
Install Date: Wed 03 Dec 2014 12:37:06 PM PST
Group       : User Interface/Desktops
Size        : 31975
License     : GPLv2+
Signature   : RSA/SHA256, Mon 20 Oct 2014 06:08:11 AM PDT, Key ID 89ad4e8795a43f54
Source RPM  : libfm-1.2.3-1.fc21.src.rpm
Build Date  : Fri 17 Oct 2014 06:19:42 AM PDT
Build Host  : buildhw-12.phx2.fedoraproject.org
Relocations : (not relocatable)
Packager    : Fedora Project
Vendor      : Fedora Project
URL         : http://pcmanfm.sourceforge.net/
Summary     : GTK+ related utility package for libfm
Description :
This package contains some GTK+ related utility files for
libfm.
/usr/bin/libfm-pref-apps
/usr/bin/lxshortcut
/usr/share/applications/libfm-pref-apps.desktop
/usr/share/applications/lxshortcut.desktop
/usr/share/man/man1/libfm-pref-apps.1.gz
/usr/share/man/man1/lxshortcut.1.gz


How reproducible:
Always


Steps to Reproduce:
1. Start Menu/Preferences/Preferred Applications
2.
3.

Comment 1 Helio Chissini de Castro 2015-02-13 13:29:39 UTC
We need to have new pcmanfm-qt integrated.
Until that, we can't fixe this specific issue.

Hope the situation will be fixed in a few days.

Comment 2 Fedora Update System 2015-05-21 16:12:29 UTC
libfm-1.2.3-4.D20150521git577806e29d.fc22,pcmanfm-1.2.3-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/libfm-1.2.3-4.D20150521git577806e29d.fc22,pcmanfm-1.2.3-2.fc22

Comment 3 Fedora Update System 2015-05-21 16:13:25 UTC
libfm-1.2.3-4.D20150521git577806e29d.fc21,pcmanfm-1.2.3-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/libfm-1.2.3-4.D20150521git577806e29d.fc21,pcmanfm-1.2.3-2.fc21

Comment 4 Fedora Update System 2015-05-21 16:14:05 UTC
libfm-1.2.3-4.D20150521git577806e29d.fc20,pcmanfm-1.2.3-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libfm-1.2.3-4.D20150521git577806e29d.fc20,pcmanfm-1.2.3-2.fc20

Comment 5 Fedora Update System 2015-05-22 17:55:41 UTC
Package libfm-1.2.3-4.D20150521git577806e29d.fc20, pcmanfm-1.2.3-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libfm-1.2.3-4.D20150521git577806e29d.fc20 pcmanfm-1.2.3-2.fc20'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-8709/libfm-1.2.3-4.D20150521git577806e29d.fc20,pcmanfm-1.2.3-2.fc20
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2015-06-10 19:12:46 UTC
libfm-1.2.3-5.D20150521git577806e29d.fc21, pcmanfm-1.2.3-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-06-10 19:13:18 UTC
pcmanfm-1.2.3-2.fc20, libfm-1.2.3-5.D20150521git577806e29d.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2015-06-10 19:14:17 UTC
pcmanfm-1.2.3-2.fc22, libfm-1.2.3-5.D20150521git577806e29d.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.